> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.toucheventhandler.md).

# TouchEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that will handle the [TouchStart](/api/wisej.web/general/control.md#touchstart), [TouchEnd](/api/wisej.web/general/control.md#touchend), [TouchMove](/api/wisej.web/general/control.md#touchmove), [TouchCancel](/api/wisej.web/general/control.md#touchcancel) events.

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void TouchEventHandler(Object sender, TouchEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub TouchEventHandler(ByVal sender As [Object], ByVal e As TouchEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                         | Description                                                                                                  |
| ---------- | ---------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                | The source of the event.                                                                                     |
| **e**      | [TouchEventArgs](/api/wisej.web/general/control/wisej.web.toucheventargs.md) | A [TouchEventArgs](/api/wisej.web/general/control/wisej.web.toucheventargs.md) that contains the event data. |

## Fired By

| Name                                                                 | Description                                                                                                                        |
| -------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| [Control.TouchStart](/api/wisej.web/general/control.md#touchstart)   | Fired when a touch point is placed on the touch surface.                                                                           |
| [Control.TouchEnd](/api/wisej.web/general/control.md#touchend)       | Fired when a touch point is removed from the touch surface.                                                                        |
| [Control.TouchCancel](/api/wisej.web/general/control.md#touchcancel) | Fired when a touch point has been disrupted in an implementation-specific manner (for example, too many touch points are created). |
| [Control.TouchMove](/api/wisej.web/general/control.md#touchmove)     | Fired when a touch point is moved along the touch surface.                                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/control/wisej.web.toucheventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
